<?php


require_once 'application/class/class_panier.php';

// On vérifie que la session est toujours en cours, si la session a expirée alors l'utilisateur sera orienté vers la page d'accueil
// pour à nouveau se reconnecter.
ManageSession::manageSession();

/**
 * Function permettant de charger les informations d'un utilisateur
 * sur la base mssql
 * 
 * @param string $id_user
 *
 * @return array resultat
 */
function &InfoUsers(& $id_user)
{
    return SqlUsers::rqInfoUsers($id_user)->Trouve1();
}

// Récupération des informations liées à l'utilisateur
if ($_SESSION['id_user'] != '')
    $buf_user = & InfoUsers($_SESSION['id_user']);

// Flag a vrai si mode ajax activé, faux sinon
isset($_POST['THROUGH']) && getValue('THROUGH') === 'TRUE' ? $isHttp = true : false;		
